Bug 1671662 - Review Request: php-sebastian-global-state3 - Snapshotting of global state
Summary: Review Request: php-sebastian-global-state3 - Snapshotting of global state
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1671665
TreeView+ depends on / blocked
 
Reported: 2019-02-01 08:27 UTC by Remi Collet
Modified: 2019-03-03 02:46 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-03 02:46:57 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.txt (7.97 KB, text/plain)
2019-02-11 21:44 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.txt (4.48 KB, text/plain)
2019-02-11 21:45 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.79 KB, text/plain)
2019-02-11 21:45 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2019-02-01 08:27:28 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/phpunit/php-sebastian-global-state3.git/plain/php-sebastian-global-state3.spec?id=fa964d6306909ddb7d7d56a21973e691cc849ebb
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sebastian-global-state3-3.0.0-0.remi.src.rpm
Description: 
Snapshotting of global state,
factored out of PHPUnit into a stand-alone component.


Fedora Account System Username: remi


For PHPUnit 8

Comment 1 Shawn Iwinski 2019-02-11 21:44 UTC
Created attachment 1532544 [details]
phpcompatinfo-full.txt

phpCompatInfo version 5.1.0 DB version 1.39.0 built Dec 18 2018 08:29:45 CET

Comment 2 Shawn Iwinski 2019-02-11 21:45 UTC
Created attachment 1532551 [details]
phpcompatinfo-lib.txt

phpCompatInfo version 5.1.0 DB version 1.39.0 built Dec 18 2018 08:29:45 CET

Comment 3 Shawn Iwinski 2019-02-11 21:45 UTC
Created attachment 1532564 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1671662
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2019-02-11 21:46:15 UTC
Minor issue:

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/SebastianBergmann(php-phpunit-php-token-stream3, php-
     sebastian-resource-operations2, php-sebastian-diff2, php-sebastian-
     diff3, php-phpunit-php-invoker2, php-sebastian-resource-operations,
     php-sebastian-global-state, php-sebastian-recursion-context3, php-
     phpunit-php-file-iterator2, php-phpunit-Version, php-sebastian-
     environment4, php-sebastian-global-state2, php-phpunit-php-timer2,
     php-phpunit-php-token-stream2, php-sebastian-recursion-context, php-
     phpunit-environment, php-phpunit-diff, php-sebastian-environment3,
     php-sebastian-object-reflector, php-sebastian-code-unit-reverse-
     lookup)

     Should not own /usr/share/php/SebastianBergmann directory since
     the following are dependencies and already own this directory:
     * php-composer(sebastian/object-reflector)
     * php-composer(sebastian/recursion-context)

Comment 6 Remi Collet 2019-02-18 10:50:10 UTC
@shawn, can you please check fixed spec file ?


(BTW, phpunit8 have already been approved, and waiting for this dependency)

Comment 7 Shawn Iwinski 2019-02-22 05:03:03 UTC
Sorry for the delay... I missed your updates to this ticket.

---

[x]: Package does not own files or directories owned by other packages. 

No blockers

===== APPROVED =====

Comment 9 Gwyn Ciesla 2019-02-22 14:21:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-sebastian-global-state3

Comment 10 Fedora Update System 2019-02-22 15:56:33 UTC
php-sebastian-global-state3-3.0.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c70b3d31e7

Comment 11 Fedora Update System 2019-02-23 02:04:06 UTC
php-sebastian-global-state3-3.0.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c70b3d31e7

Comment 12 Fedora Update System 2019-03-03 02:46:57 UTC
php-sebastian-global-state3-3.0.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.